Miru

Incidents

List all Incidents

Use the API to list all the incidents in your workspace.

Required Permissions

  • incidents.read

Example Request

This request will return a list of all incidents in your workspace.

curl -X GET "https://status.example.com/api/v1/incident" \
  -H "x-api-key: YOUR_API_KEY"

Response

If the API key is valid, hasn't expired, and has the incident.read permission, the API will return a JSON response with a list of all incidents in your workspace along with their connected monitors.

{
	"error": false,
	"incidents": [
		{
			"id": "SbQ0ffRQL9tVVlQP",
			"title": "tygr.dev is down",
			"startedAt": "2025-05-17T22:44:25.816Z",
			"acknowledgedAt": null,
			"resolvedAt": null,
			"autoResolved": false,
			"monitors": [
				{
					"id": "pAbfD8udMmgzPdXx",
					"workspaceId": "CiRW68WMhJUnlyeF",
					"name": "tygr.dev Website",
					"type": "http",
					"url": "tygr.dev",
					"interval": 1,
					"createdAt": "2025-05-17T22:35:28.804Z",
					"updatedAt": "2025-05-17T22:40:33.093Z"
				}
			]
		}
	]
}

Error Response

If there is a problem with the request, the API will return a JSON response with an error message.

{
	"error": true,
	"message": "Missing incidents permissions: read"
}

Types

The API will return a JSON response that can include the following values:

Response

Prop

Type

IncidentWithMonitors

Prop

Type

Monitor

Prop

Type